- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

# objectptr.h File Reference

## Namespaces
namespace | log4cxx
namespace | log4cxx::helpers
## Classes
class | ObjectPtrBase
class | ObjectPtrT
| smart pointer to a Object descendant More...
## Defines
#define | _LOG4CXX_OBJECTPTR_INIT(x) : p(x) {

## Define Documentation

#define _LOG4CXX_OBJECTPTR_INIT | ( | x |  | ) | : p(x) {